{ pkgs, lib, ... }:

{
  home.packages = with pkgs; [
    brightnessctl
  ];

  xsession.windowManager.i3.config = {
    keybindings = lib.mkOptionDefault {
      "XF86MonBrightnessUp" = "exec --no-startup-id brightnessctl set +5%";
      "XF86MonBrightnessDown" = "exec --no-startup-id brightnessctl set 5%-";
    };

    workspaceOutputAssign = [
      {
        output = "eDP-1";
        workspace = "1";
      }
      {
        output = "HDMI-2";
        workspace = "2";
      }
    ];
  };
}
